Bug 70766 - Runlevel 2 handling is broken with chkconfig service off/on
Runlevel 2 handling is broken with chkconfig service off/on
Status: CLOSED ERRATA
Product: Red Hat Public Beta
Classification: Retired
Component: chkconfig (Show other bugs)
limbo
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 20:37 EDT by Dax Kelson
Modified: 2014-03-16 22:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-12 15:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-08-04 20:37:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
In playing around with chkconfig in limbo2, I've noticed some problems:
Runlevel 2 is ignored when using the "off" and "on" parameters.

For example notice how runlevel 2 doesn't change below until I specifically use
--level.:

# chkconfig --list cWnn
cWnn            0:off   1:off   2:off   3:off   4:off   5:off   6:off
# chkconfig cWnn on
# chkconfig --list cWnn
cWnn            0:off   1:off   2:off   3:on    4:on    5:on    6:off
# chkconfig cWnn off
# chkconfig --list cWnn
cWnn            0:off   1:off   2:off   3:off   4:off   5:off   6:off
# chkconfig --level 2345 cWnn on
# chkconfig --list cWnn
cWnn            0:off   1:off   2:on    3:on    4:on    5:on    6:off
# chkconfig cWnn off
# chkconfig --list cWnn
cWnn            0:off   1:off   2:on    3:off   4:off   5:off   6:off
# chkconfig cWnn on
# chkconfig --list cWnn
cWnn            0:off   1:off   2:on    3:on    4:on    5:on    6:off
# chkconfig cWnn off
# chkconfig --list cWnn
cWnn            0:off   1:off   2:on    3:off   4:off   5:off   6:off
# chkconfig --level 2345 cWnn off
# chkconfig --list cWnn
cWnn            0:off   1:off   2:off   3:off   4:off   5:off   6:off
# chkconfig --list httpd
httpd           0:off   1:off   2:off   3:off   4:off   5:off   6:off
# chkconfig httpd on
# chkconfig --list httpd
httpd           0:off   1:off   2:off   3:on    4:on    5:on    6:off
#

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.see above
2.
3.
	

Actual Results:  Runlevel 2 is ignored, is left unmodified.

Expected Results:  Runlevel 2 should be turned on and off along with the other
runlevels.

Additional info:
Comment 1 Miloslav Trmac 2002-08-04 22:20:51 EDT
RTF man page ;-)
Comment 2 Dax Kelson 2002-08-05 00:08:33 EDT
So the man page documents the broken behavior. Doesn't mean it is right. 
 
Suppose an admin has his server in runlevel 2, and he wants to "harden" his box. 
 
# chkconfig snmpd off 
# chkconfig named off 
 
Oops! it doesn't work as expected.
Comment 3 Bill Nottingham 2002-08-12 15:51:01 EDT
This is the documented behavior; I doubt it will change.
Comment 4 Bill Nottingham 2002-08-12 15:54:40 EDT
Bah, nevermind. changed in 1.3.6-1.
Comment 5 John Flanagan 2004-08-18 11:13:16 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-332.html

Note You need to log in before you can comment on or make changes to this bug.